package com.yinet.system.service;

import com.yinet.system.domain.GuidanceFile;

import java.util.List;

/**
 * 办事指南文件Service接口
 *
 * @author yinet
 * @date 2019-11-11
 */
public interface IGuidanceFileService {
    /**
     * 查询办事指南文件
     *
     * @param fileId 办事指南文件ID
     * @return 办事指南文件
     * wx
     */
    public GuidanceFile selectGuidanceFileById(String fileId);

    /**
     * 查询办事指南文件
     *
     * @param guidanceId 办事指南文件ID
     * @return 办事指南文件
     */
    public List<GuidanceFile> selectGuidanceFileByGuidanceId(String guidanceId);

    /**
     * 查询办事指南文件列表
     *
     * @param guidanceFile 办事指南文件
     * @return 办事指南文件集合
     * wx
     */
    public List<GuidanceFile> selectGuidanceFileList(GuidanceFile guidanceFile);

    /**
     * 新增办事指南文件
     *
     * @param guidanceFile 办事指南文件
     * @return 结果
     */
    public int insertGuidanceFile(GuidanceFile guidanceFile);

    /**
     * 修改办事指南文件
     *
     * @param guidanceFile 办事指南文件
     * @return 结果
     */
    public int updateGuidanceFile(GuidanceFile guidanceFile);

    /**
     * 批量删除办事指南文件
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteGuidanceFileByIds(String ids);

    /**
     * 删除办事指南文件信息
     *
     * @param fileId 办事指南文件ID
     * @return 结果
     */
    public int deleteGuidanceFileById(String fileId);
}
